Subject: Re: [PATCH 1/2] powerpc/configs: merge pseries_defconfig and pseries_le_defconfig

From: Cyril Bur <[email-masked]>
Date: Mon, 25 May 2015 10:46:04 +1000

On Sun, 2015-05-24 at 12:19 +0300, Denis Kirjanov wrote:
> On 5/24/15, Anton Blanchard <[email-masked]> wrote:
> > Hi Cyril,
> >
> >> These two configs should be identical with the exception of big or
> >> little endian
> >>
> >> The big endian version has XMON_DEFAULT turned on while the little
> >> endian has XMON_DEFAULT not set. Enable XMON_DEFAULT for little
> >> endian.
> >
> > I disabled it on the LE defconfig on purpose. In most cases we want to
> > get the kernel back around and running again. I got sick of building a
> > mainline kernel for a non development box and coming back to it stuck in
> > xmon.
> >
> > Should we disable it by default and require developers who want xmon to
> > set the config option, or use the xmon=on boot?
> 
> I think that it's a good idea to keep it disabled by default

Sure, that behaviour makes sense since and the goal here is to have them
be the same, I'll resent the patch to go the other way and turn
XMON_DEFAULT off in big endian.

Thanks,

Cyril
> >
> > Anton
> > _______________________________________________
> > Linuxppc-dev mailing list
> > [email-masked]
> > https://lists.ozlabs.org/listinfo/linuxppc-dev